VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "AlphaTextBox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'
' All form1 textboxes are of this type. That
' way the code for any textbox event can be
' located in one central place (versus the same
' code in every GotFocus, ... event).
'
' By using the "WithEvents" keyword, all events that occur
' within the textboxes are passed to this class where
' they can be handled or not.
Public WithEvents TextBox As TextBox
Attribute TextBox.VB_VarHelpID = -1
Private Sub TextBox_Change()
'
' Echo back what the user entered. Since the textbox is an
' object, we must reference the appropriate properties.
'
With Form1
    .lblName = .txtFirst.TextBox.Text & " " & .txtLast.TextBox.Text
End With
End Sub

Private Sub TextBox_GotFocus()
'
' Highlight the text.
'
With TextBox
    .SelStart = 0
    .SelLength = Len(.Text)
End With
End Sub


Private Sub TextBox_KeyPress(KeyAscii As Integer)
Select Case KeyAscii
    Case 8 To 10, 13, 27  'Control characters
        KeyAscii = KeyAscii
    Case 65 To 90         'Upper case letters
        KeyAscii = KeyAscii
    Case 97 To 122        'Lower case letters
        KeyAscii = Asc(UCase$(Chr$(KeyAscii)))
    Case Else             'Discard anything else
        KeyAscii = 0
End Select
End Sub


Private Sub TextBox_LostFocus()
TextBox.Text = Trim$(TextBox.Text)
End Sub



